vkd3d: Data Fields - Variables

vkd3d 1.19 The vkd3d 3D Graphics Library

Loading...
Searching...
No Matches
Here is a list of all documented variables with links to the struct/union documentation for each field:

### - a -

- adapter_luid : vkd3d_device_create_info
- api_version : vkd3d_application_info
- application_name : vkd3d_application_info
- application_version : vkd3d_application_info

### - b -

- binding : vkd3d_shader_combined_resource_sampler, vkd3d_shader_descriptor_binding, vkd3d_shader_parameter_buffer, vkd3d_shader_resource_binding, vkd3d_shader_uav_counter_binding
- binding_count : vkd3d_shader_interface_info
- binding_offsets : vkd3d_shader_descriptor_offset_info
- bindings : vkd3d_shader_interface_info
- buffer : vkd3d_shader_parameter1

### - c -

- checksum : vkd3d_shader_dxbc_desc
- code : vkd3d_shader_code
- combined_sampler_count : vkd3d_shader_interface_info, vkd3d_shader_scan_combined_resource_sampler_info
- combined_samplers : vkd3d_shader_interface_info, vkd3d_shader_scan_combined_resource_sampler_info
- component_type : vkd3d_shader_signature_element
- count : vkd3d_shader_descriptor_binding, vkd3d_shader_descriptor_info

### - d -

- data : vkd3d_shader_dxbc_section_desc
- data_type : vkd3d_shader_parameter1
- desc : vkd3d_image_resource_create_info
- descriptor_count : vkd3d_shader_scan_descriptor_info
- descriptor_table_count : vkd3d_shader_descriptor_offset_info
- descriptor_table_offset : vkd3d_shader_descriptor_offset_info
- descriptors : vkd3d_shader_scan_descriptor_info
- device_extension_count : vkd3d_device_create_info
- device_extensions : vkd3d_device_create_info

### - e -

- element_count : vkd3d_shader_signature
- elements : vkd3d_shader_signature
- engine_name : vkd3d_application_info
- engine_version : vkd3d_application_info
- entry_point : vkd3d_shader_hlsl_source_info
- extension_count : vkd3d_optional_device_extensions_info, vkd3d_optional_instance_extensions_info
- extensions : vkd3d_optional_device_extensions_info, vkd3d_optional_instance_extensions_info

### - f -

- f32 : vkd3d_shader_parameter_immediate_constant1, vkd3d_shader_parameter_immediate_constant
- f32_vec4 : vkd3d_shader_parameter_immediate_constant1
- flags : vkd3d_image_resource_create_info, vkd3d_shader_combined_resource_sampler, vkd3d_shader_descriptor_info, vkd3d_shader_resource_binding

### - i -

- id : vkd3d_shader_parameter_specialization_constant
- immediate_constant : vkd3d_shader_parameter1
- include_context : vkd3d_shader_preprocess_info
- input : vkd3d_shader_scan_signature_info
- input_mask : vkd3d_shader_varying_map
- input_register_index : vkd3d_shader_varying_map
- instance : vkd3d_device_create_info
- instance_create_info : vkd3d_device_create_info
- instance_extension_count : vkd3d_instance_create_info
- instance_extensions : vkd3d_instance_create_info

### - l -

- log_level : vkd3d_shader_compile_info

### - m -

- macro_count : vkd3d_shader_preprocess_info
- macros : vkd3d_shader_preprocess_info
- mask : vkd3d_shader_signature_element
- min_precision : vkd3d_shader_signature_element
- minimum_feature_level : vkd3d_device_create_info

### - n -

- name : vkd3d_shader_compile_option, vkd3d_shader_macro, vkd3d_shader_parameter1
- next : vkd3d_application_info, vkd3d_device_create_info, vkd3d_host_time_domain_info, vkd3d_image_resource_create_info, vkd3d_instance_create_info, vkd3d_optional_device_extensions_info, vkd3d_optional_instance_extensions_info, vkd3d_shader_compile_info, vkd3d_shader_d3dbc_source_info, vkd3d_shader_descriptor_offset_info, vkd3d_shader_hlsl_source_info, vkd3d_shader_interface_info, vkd3d_shader_parameter_info, vkd3d_shader_preprocess_info, vkd3d_shader_scan_combined_resource_sampler_info, vkd3d_shader_scan_descriptor_info, vkd3d_shader_scan_hull_shader_tessellation_info, vkd3d_shader_scan_signature_info, vkd3d_shader_scan_thread_group_size_info, vkd3d_shader_varying_map_info

### - o -

- offset : vkd3d_shader_parameter_buffer, vkd3d_shader_push_constant_buffer
- option_count : vkd3d_shader_compile_info
- options : vkd3d_shader_compile_info
- output : vkd3d_shader_scan_signature_info
- output_primitive : vkd3d_shader_scan_hull_shader_tessellation_info
- output_signature_index : vkd3d_shader_varying_map

### - p -

- parameter_count : vkd3d_shader_parameter_info
- parameters : vkd3d_shader_parameter_info
- parent : vkd3d_device_create_info
- partitioning : vkd3d_shader_scan_hull_shader_tessellation_info
- patch_constant : vkd3d_shader_scan_signature_info
- pfn_close_include : vkd3d_shader_preprocess_info
- pfn_create_thread : vkd3d_instance_create_info
- pfn_join_thread : vkd3d_instance_create_info
- pfn_open_include : vkd3d_shader_preprocess_info
- pfn_signal_event : vkd3d_instance_create_info
- pfn_vkGetInstanceProcAddr : vkd3d_instance_create_info
- present_state : vkd3d_image_resource_create_info
- profile : vkd3d_shader_hlsl_source_info
- push_constant_buffer_count : vkd3d_shader_interface_info
- push_constant_buffers : vkd3d_shader_interface_info

### - r -

- register_index : vkd3d_shader_descriptor_info, vkd3d_shader_push_constant_buffer, vkd3d_shader_resource_binding, vkd3d_shader_signature_element, vkd3d_shader_uav_counter_binding
- register_space : vkd3d_shader_descriptor_info, vkd3d_shader_push_constant_buffer, vkd3d_shader_resource_binding, vkd3d_shader_uav_counter_binding
- resource_data_type : vkd3d_shader_descriptor_info
- resource_index : vkd3d_shader_combined_resource_sampler
- resource_space : vkd3d_shader_combined_resource_sampler
- resource_type : vkd3d_shader_descriptor_info

### - s -

- sampler_index : vkd3d_shader_combined_resource_sampler
- sampler_space : vkd3d_shader_combined_resource_sampler
- section_count : vkd3d_shader_dxbc_desc
- sections : vkd3d_shader_dxbc_desc
- semantic_index : vkd3d_shader_signature_element
- semantic_name : vkd3d_shader_signature_element
- set : vkd3d_shader_descriptor_binding, vkd3d_shader_parameter_buffer
- shader_visibility : vkd3d_shader_combined_resource_sampler, vkd3d_shader_push_constant_buffer, vkd3d_shader_resource_binding, vkd3d_shader_uav_counter_binding
- shadow_samplers : vkd3d_shader_d3dbc_source_info
- size : vkd3d_shader_code, vkd3d_shader_dxbc_desc, vkd3d_shader_push_constant_buffer
- source : vkd3d_shader_compile_info
- source_name : vkd3d_shader_compile_info
- source_type : vkd3d_shader_compile_info
- specialization_constant : vkd3d_shader_parameter1
- stream_index : vkd3d_shader_signature_element
- sysval_semantic : vkd3d_shader_signature_element

### - t -

- tag : vkd3d_shader_dxbc_desc, vkd3d_shader_dxbc_section_desc
- target_type : vkd3d_shader_compile_info
- texture_dimensions : vkd3d_shader_d3dbc_source_info
- ticks_per_second : vkd3d_host_time_domain_info
- type : vkd3d_application_info, vkd3d_device_create_info, vkd3d_host_time_domain_info, vkd3d_image_resource_create_info, vkd3d_instance_create_info, vkd3d_optional_device_extensions_info, vkd3d_optional_instance_extensions_info, vkd3d_shader_compile_info, vkd3d_shader_d3dbc_source_info, vkd3d_shader_descriptor_info, vkd3d_shader_descriptor_offset_info, vkd3d_shader_hlsl_source_info, vkd3d_shader_interface_info, vkd3d_shader_parameter1, vkd3d_shader_parameter_info, vkd3d_shader_preprocess_info, vkd3d_shader_resource_binding, vkd3d_shader_scan_combined_resource_sampler_info, vkd3d_shader_scan_descriptor_info, vkd3d_shader_scan_hull_shader_tessellation_info, vkd3d_shader_scan_signature_info, vkd3d_shader_scan_thread_group_size_info, vkd3d_shader_varying_map_info

### - u -

- u32 : vkd3d_shader_parameter_immediate_constant1, vkd3d_shader_parameter_immediate_constant
- uav_counter_count : vkd3d_shader_interface_info
- uav_counter_offsets : vkd3d_shader_descriptor_offset_info
- uav_counters : vkd3d_shader_interface_info
- used_mask : vkd3d_shader_signature_element

### - v -

- value : vkd3d_shader_compile_option, vkd3d_shader_macro
- varying_count : vkd3d_shader_varying_map_info
- varying_map : vkd3d_shader_varying_map_info
- version : vkd3d_shader_dxbc_desc
- vk_image : vkd3d_image_resource_create_info
- vk_physical_device : vkd3d_device_create_info

### - w -

- wchar_size : vkd3d_instance_create_info

### - x -

- x : vkd3d_shader_scan_thread_group_size_info